# WhichFingers

This archive contains the Arduino source code, Eagle files for the electronic boards and C++/Qt code for the WhichFingers project.
More information about the project is available at [http://ns.inria.fr/mjolnir/whichfingers/](http://ns.inria.fr/mjolnir/whichfingers/)

This archive was generated on 2017/07/11.

```Arduino/``` contains the source code to upload on the arduino boards to replicate the original **WhichFingers** prototype running on Arduino Leonardo or the wireless **WhichFingersWiFi** running on the MKR1000.

```ElectronicBoards/``` contains the Eagle files for **WhichFingers** and **WhichFingersWiFi**.

* For **WhichFingers** board, all resistors are 1 Mega Ohm.
* For **WhichFingersWiFi**, resistors in series with the analog input are 150 Ohm. In parallel there are a 1 Mega Ohm resistor and a [3.3V Zener diode](https://www.digikey.fr/short/301593) to protect the analog input from high voltages. An optional debug LED can be soldered on input pin 6.

```Examples/``` contains C++/Qt source code to demonstrate how to handle the data received from **WhichFingers** and **WhichFingersWiFi** to identify the fingers used.

Be aware that the results presented in the paper where obtained using **WhichFingers** version of the prototype.
