WhichFingersWiFi.ino -> Code to upload on the MKR1000

Remember to change the HAND_SIDE constant depending on the hand the board will be equipped on.

With this code, finger identification is done via WiFi between the board and the computer.

Structures of the packets exchanged between the board and the computer are described at the beginning of the code

# Establishing the connection
At first, the board will connect automatically to the hotspot SSID : TestWF in WPA/WPA2, password : test1234

Then, the board will try to find the server it should connect to by broadcasting a UDP handshake packet on the port 8770.
The server on the computer should respond by re-sending the handshake.

Then, you can establish the TCP connection to the board.

# Retrieving the finger identified
When you need to retrieve the finger that was used, you can send a packet "finger_request" to the board through the TCP connection established earlier.
The board will respond by sending the max values of its piezo for the last 20ms.
Using this information you can determine the finger used (it should be the one with the highest value).

# Sending data through HID
The **WhichFinger** library is needed only if you want the data to be sent through HID as well. You will have to put the library in your libraries folder for Arduino to find it.


