/* -
 *
 * Author: Damien Masson
 * Copyright University of Lille / Inria
 *
 * http://ns.inria.fr/mjolnir/whichfingers/
 *
 * This software may be used and distributed according to the terms of
 * the GNU General Public License version 2 or any later version.
 *
 */

#ifndef WF_h
#define WF_h

#include "HID.h"

#if !defined(_USING_HID)

#warning "Using legacy HID core (non pluggable)"

#else

//================================================================================
//================================================================================
//  WhichFingers

class WhichFingers_
{
public:
  WhichFingers_(void);
  void begin(void);
  void end(void);
  void send(uint8_t descriptor, uint8_t* buffer);
};
extern WhichFingers_ WhichFingers;

#endif
#endif
