/* -
 *
 * Author: Damien Masson
 * Copyright University of Lille / Inria
 *
 * http://ns.inria.fr/mjolnir/whichfingers/
 *
 * This software may be used and distributed according to the terms of
 * the GNU General Public License version 2 or any later version.
 *
 */

#ifndef FINGER_H
#define FINGER_H


class Finger
{
public:
    Finger();

    void update(bool pressed, int deviceId, int touchId);

    bool isPressed();
    int getDevice();
    int getTouchId();
    int getId();

private:
    int id;
    bool pressed;
    int deviceId;
    int touchId;
};

#endif // FINGER_H
